Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class ColumnHint

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.core.PropertyStructure
              org.eclipse.birt.report.model.api.elements.structures.ColumnHint

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class ColumnHint

extends org.eclipse.birt.report.model.core.PropertyStructure

This class represents one column hint used by data sets.

This is a managed object, meaning that all changes should be made though the command layer so that they can be undone and redone. Each column hint has the following properties:

Column Name
  a column hint has a required name. It keys the column hint to a column within the result set.
Alias
  a column hint has an optional alias. It provides an ??alias?? name used for the column within the report.
Searching
  a column hint has an optional searching. It indicates how the column will be used when searching.
Export
  a column hint has an optional export. It determines how the column will be used when exporting data.
Analysis
  a column hint has an optional analysis. It determines how the column is used when exporting the data to an OLAP cube.
Parent Level
  a column hint has an optional parent level. It is used when a column??s `ANALYSIS_MEMBER` property is set to `ANALYSIS_TYPE_DIMENSION` or `ANALYSIS_TYPE_DETAIL`. For `ANALYSIS_TYPE_DIMENSION`, this property establishes the dimension hierarchy.
Format
  a column hint has an optional format. It is used to format the column data when displaying the value in the viewing UI, especially within the search results.
Display Name
  a column hint has an optional display name. It provides an optional localizable display name for the column.
Display Name ID
  a column hint has an optional display name ID. It provides the key to localize the display name.
Help Text
  a column hint has an optional help text. It provides an optional localizable descriptive text that explains the column to the end user.
Help Text ID
  a column hint has an optional help text ID. It provides the key to localize the help text.

Field Summary
`static java.lang.String` | `ALIAS_MEMBER` Name of the alias member.
`static java.lang.String` | `ANALYSIS_MEMBER` Name of the analysis member.
`static java.lang.String` | `COLUMN_HINT_STRUCT` Name of this structure.
`static java.lang.String` | `COLUMN_NAME_MEMBER` Name of the column name member.
`static java.lang.String` | `DESCRIPTION_ID_MEMBER` Name of the description id member.
`static java.lang.String` | `DESCRIPTION_MEMBER` Name of the description member.
`static java.lang.String` | `DISPLAY_LENGTH_MEMBER` Name of the display length member.
`static java.lang.String` | `DISPLAY_NAME_ID_MEMBER` Name of the display name ID member.
`static java.lang.String` | `DISPLAY_NAME_MEMBER` Name of the display name member.
`static java.lang.String` | `EXPORT_MEMBER` Name of the export member.
`static java.lang.String` | `FORMAT_MEMBER` Name of the format member.
`static java.lang.String` | `HEADING_ID_MEMBER` Name of the heading id member.
`static java.lang.String` | `HEADING_MEMBER` Name of the heading member.
`static java.lang.String` | `HELP_TEXT_ID_MEMBER` Name of the help text ID member.
`static java.lang.String` | `HELP_TEXT_MEMBER` Name of the help text member.
`static java.lang.String` | `HORIZONTAL_ALIGN_MEMBER` Name of the horizontal alignment member.
`static java.lang.String` | `ON_COLUMN_LAYOUT_MEMBER` Name of the on column layout member.
`static java.lang.String` | `PARENT_LEVEL_MEMBER` Name of the parent level member.
`static java.lang.String` | `SEARCHING_MEMBER` Name of the searching member.
`static java.lang.String` | `TEXT_FORMAT_MEMBER` Name of the text format member.
`static java.lang.String` | `WORD_WRAP_MEMBER` Name of the word wrap member.

Fields inherited from class org.eclipse.birt.report.model.core.PropertyStructure
`propValues`

Constructor Summary
`ColumnHint()`

Method Summary
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)`
`java.util.List<SemanticException>` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Validates this structure.

Methods inherited from class org.eclipse.birt.report.model.core.PropertyStructure
`clone, getIntrinsicProperty, getLocalProperty, getLocalProperty, setIntrinsicProperty, setProperty`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setupContext, updateReference`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLUMN_HINT_STRUCT

    public static final java.lang.String COLUMN_HINT_STRUCT

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### COLUMN_NAME_MEMBER

    public static final java.lang.String COLUMN_NAME_MEMBER

  Name of the column name member. This member keys the column hint to a column within the result set.

  See Also:
    Constant Field Values

### ALIAS_MEMBER

    public static final java.lang.String ALIAS_MEMBER

  Name of the alias member. This member provides an ??alias?? name used for the column within the report.

  See Also:
    Constant Field Values

### SEARCHING_MEMBER

    public static final java.lang.String SEARCHING_MEMBER

  Name of the searching member. This member indicates how the column will be used when searching.

  See Also:
    Constant Field Values

### EXPORT_MEMBER

    public static final java.lang.String EXPORT_MEMBER

  Name of the export member. This member determines how the column will be used when exporting data.

  See Also:
    Constant Field Values

### ANALYSIS_MEMBER

    public static final java.lang.String ANALYSIS_MEMBER

  Name of the analysis member. This member determines how the column is used when exporting the data to an OLAP cube. OLAP cubes require that the columns be structured into dimension hierarchies. Such hierarchies are formed though a sequence of dimensions. The intersection of hierarchies have one or more numeric measures. Columns that are neither dimensions or measures can be details that associated with a dimension. Whether any given column is actually available for use with analysis depends on the `EXPORT_MEMBER` property above.

  See Also:
    Constant Field Values

### PARENT_LEVEL_MEMBER

    public static final java.lang.String PARENT_LEVEL_MEMBER

  Name of the parent level member. This member is used when a column's `ANALYSIS_MEMBER` property is set to `ANALYSIS_TYPE_DIMENSION` or `ANALYSIS_TYPE_DETAIL` . For `ANALYSIS_TYPE_DIMENSION`, this property establishes the dimension hierarchy. Lower (more detailed) dimensions identify their parent (more general) dimensions. For `ANALYSIS_TYPE_DETAIL`, this property identifies the dimension for which this column is a detail.

  See Also:
    Constant Field Values

### FORMAT_MEMBER

    public static final java.lang.String FORMAT_MEMBER

  Name of the format member. This member is used to format the column data when displaying the value in the viewing UI, especially within the search results.

  See Also:
    Constant Field Values

### DISPLAY_NAME_ID_MEMBER

    public static final java.lang.String DISPLAY_NAME_ID_MEMBER

  Name of the display name ID member. This member provides the resource key for display name.

  See Also:
    Constant Field Values

### DISPLAY_NAME_MEMBER

    public static final java.lang.String DISPLAY_NAME_MEMBER

  Name of the display name member. This member provides the an optional localizable display name for the column.

  See Also:
    Constant Field Values

### HELP_TEXT_ID_MEMBER

    public static final java.lang.String HELP_TEXT_ID_MEMBER

  Name of the help text ID member. This member provides the resource key for help text.

  See Also:
    Constant Field Values

### HELP_TEXT_MEMBER

    public static final java.lang.String HELP_TEXT_MEMBER

  Name of the help text member. This member provides an optional localizable descriptive text that explains the column to the end user.

  See Also:
    Constant Field Values

### ON_COLUMN_LAYOUT_MEMBER

    public static final java.lang.String ON_COLUMN_LAYOUT_MEMBER

  Name of the on column layout member. This member is a hint on how the dimension data element should be layout on column or row.

  See Also:
    Constant Field Values

### HEADING_MEMBER

    public static final java.lang.String HEADING_MEMBER

  Name of the heading member. The member provides an optional localizable heading of the column.

  See Also:
    Constant Field Values

### HEADING_ID_MEMBER

    public static final java.lang.String HEADING_ID_MEMBER

  Name of the heading id member. The member provides the resource key for heading

  See Also:
    Constant Field Values

### DISPLAY_LENGTH_MEMBER

    public static final java.lang.String DISPLAY_LENGTH_MEMBER

  Name of the display length member. This member indicates how long texts to display.

  See Also:
    Constant Field Values

### HORIZONTAL_ALIGN_MEMBER

    public static final java.lang.String HORIZONTAL_ALIGN_MEMBER

  Name of the horizontal alignment member. This member provides the text order of the column.

  See Also:
    Constant Field Values

### WORD_WRAP_MEMBER

    public static final java.lang.String WORD_WRAP_MEMBER

  Name of the word wrap member. This member indicates if the word need to be wrapped.

  See Also:
    Constant Field Values

### TEXT_FORMAT_MEMBER

    public static final java.lang.String TEXT_FORMAT_MEMBER

  Name of the text format member. This member provides the text format of the column.

  See Also:
    Constant Field Values

### DESCRIPTION_MEMBER

    public static final java.lang.String DESCRIPTION_MEMBER

  Name of the description member. The member provides an optional localizable description of the column.

  See Also:
    Constant Field Values

### DESCRIPTION_ID_MEMBER

    public static final java.lang.String DESCRIPTION_ID_MEMBER

  Name of the description id member. The member provides the resource key for the description.

  See Also:
    Constant Field Values

Constructor Detail

### ColumnHint

    public ColumnHint()

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### validate

    public java.util.List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module,
                                                      org.eclipse.birt.report.model.core.DesignElement element)

  Validates this structure. The following are the rules:
  - The column name is required.

  Overrides:
    `validate` in class `org.eclipse.birt.report.model.core.Structure`
  See Also:
    `Structure.validate(Module, org.eclipse.birt.report.model.core.DesignElement)`

### handle

    public StructureHandle handle(SimpleValueHandle valueHandle,
                                  int index)

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.